Questions tagged [apt]

Questions about using any of the apt tools should use this tag. Advanced Packaging Tool, the package manager for Debian-based distributions. It is also the most used tool for installing packages in Ubuntu.

Filter by
Sorted by
Tagged with
0 votes
0 answers
10 views

HOW TO INSTALL postgreSQL 10.15 version on ubuntu 20.04

I want to install PostgreSQL 10.15 version on my ubuntu device, referred below link and tried installing the same but it shows error: https://www.postgresql.org/download/linux/ubuntu/ Reading package ...
4 votes
3 answers
4k views

Ubuntu 20.04, Package system76-power is in conflict with nvidia-prime

Using Ubuntu 20.04 on a XPS 15 9560, I installed the system76-power package to disable the GPU at will as I don't need it 90% of the time. It worked flawlessly for a few months but now I have a ...
0 votes
1 answer
336 views

Package 'qt5-default' has no installation candidate

I'm trying to install Geant4 on Ubuntu 20.04 while i use: sudo apt-get install qt5-default ,there is some error as written and shown below. Reading package lists... Done Building dependency ...
0 votes
0 answers
13 views

apt-get changelog ignores the urls defined in /etc/update-manager/meta-release

Our Linux being behind a proxy server, we have changed the URL defined in /etc/update-manager/meta-release like this : $ alias nocomment alias nocomment='egrep -v "^(\s*#|$)"' $ nocomment /...
0 votes
0 answers
11 views

Can't update a keyring for Xorg (Ubuntu18_04)

I use Ubuntu 18.04 LTS. Having run command sudo apt update, I clashed an obstacle. Please, see message: W: An error occurred during the signature verification. The repository is not updated and the ...
2 votes
1 answer
4k views

Stuck at "unpacking" while trying to install or remove a package [closed]

I tried to install a package, I forced it to stop then when I wanted to remove the package, it was stuck at "unpacking..."
0 votes
0 answers
17 views

apt install failed due to dpkg interrupt

When I type the command apt install zsh, it outputs: E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. When I type the command dpkg --configure -a, the ...
6 votes
4 answers
22k views

dpkg: error processing package mysql-server (--configure)

I am getting the following error when I remove, autoremove, install, upgrade etc.. via terminal and also software updater. The sudo apt-get autoremove result is given below. The error says dpkg error ...
0 votes
0 answers
27 views

Can't upgrade packages in Ubuntu 22.04

I recently upgraded my linux kernel version. The command $ uname -r shows the following output - 5.17.5-051705-generic But whenever I try to upgrade any package or simply run $ sudo apt-get upgrade, ...
0 votes
0 answers
25 views

Still don't understand apt-key deprecation solution [duplicate]

I've been using ubuntu for years, but for the life of me still cannot understand how to resolve the apt-key deprecated warning. I know this question has been asked before and I apologize, but all the ...
2 votes
1 answer
30 views

apt source pulling old packages

I am trying to pull the source files from an apt repo sudo apt source strongswan This pulls down version 5.6.2. However on the ubuntu 20.04 focal page, it shows 5.8.2-1. Why is this version not being ...
0 votes
0 answers
30 views

E: Invalid record in the preferences file, no package header

I upgraded from Ubuntu 20.04 to 22.04 the other day and immediately found myself unable to use ExpressVPN on Firefox. (As I understand now, it seems to be only the browser extension that I cannot use.)...
0 votes
0 answers
11 views

Issue with Tor Browser public key

when I run sudo apt-get update, I get the following error message: Err:3 https://deb.torproject.org/torproject.org jammy InRelease The following signatures couldn't be verified because the public key ...
0 votes
2 answers
562 views

error update casper

The following packages will be upgraded: casper 1 upgraded, 0 newly installed, 0 to remove and 181 not upgraded. Need to get 0 B/52.0 kB of archives. After this operation, 4,096 B of additional disk ...
0 votes
1 answer
22 views

How do I install iptables-dev on Ubuntu 20.04 with apt?

I tried the following: sudo apt install iptables-dev But get this error Reading package lists... Done Building dependency tree Reading state information... Done Package iptables-dev is not available, ...
-3 votes
0 answers
26 views

Error Occuring While Updating from Ubuntu 20.04 LTS to 22.04 LTS [duplicate]

This is the image of the Error W:Updating from such a repository can't be done securely, and is therefore disabled by default. W:See apt-secure(8) manpage for repository creation and user ...
0 votes
1 answer
63 views

Upgraded from Ubuntu 20.0.4 to Ubuntu 22.04.1 and facing issue in apt update

I upgraded my system from ubuntu-20.0.4 to ubuntu-22.04.1, and I am facing one warning while I run the command of sudo apt update The warning is W: Skipping acquire of configured file 'somerville-...
0 votes
1 answer
24 views

How to correctly remove an Ubuntu 20.04 repo?

The problem. What rm command to run in order to use cuda-ubuntu2004-x86_64.list when updating apt repositories? -rw-r--r-- 1 root root 80 Aug 15 11:47 cuda.list -rw-r--r-- 1 root root 80 Aug 15 11:...
0 votes
0 answers
76 views

Why does `ffmpeg` depend on desktop-related packages?

I'm a sysadmin and I wanted to install ffmpeg and its libraries to my Ubuntu server as one of user's web-app requires it to transcode audio files. But why does it depend on so many packages that aren'...
3 votes
2 answers
16k views

Unmet dependencies when trying to install curl on Ubuntu 16.04

When trying to install curl on Ubuntu 16.04, it gives me the following error message: Some packages could not be installed. This may mean that you have requested an impossible situation or if you are ...
0 votes
0 answers
15 views

Mariadb-server and mariadb-client

I have ben trying to install mariadb-server and mariadb-client on my ubuntu 18.04 VPS, but when I run apt install -y mariadb-server mariadb-client it returns: Reading package lists... Done Building ...
0 votes
1 answer
15 views

Update ppa.launchpad.net from HTTP to HTTPS

Hey so I was looking into securing my PPA's from HTTP to HTTPS and I found this article: ppa.launchpad.net does not support https Since Launchpad does support https, i have tried updating my source ...
0 votes
0 answers
15 views

Application commands not working after closing and re-opening ubuntu

I am running ubuntu 20.04.4 and I have been trying to learn to do some basic web development. As a result, I have tried to install some applications, such as 'npm' and browser-sync. I already have '...
0 votes
0 answers
41 views

My terminal is flooded with errors? [duplicate]

New user here, I've used Ubuntu for a few weeks now and I must have installed something incorrectly or something because any time I run sudo apt update I get a giant wall of errors. It probably comes ...
0 votes
1 answer
4k views

Having some trouble authenticating via proxy in order to use apt-get successfully on a corporate network

Apologies if this is a basic question, I've recently taken ownership of our department's internal server so I'm having to deal with issues beyond my (very basic) knowledge. Context Our server is on ...
0 votes
0 answers
25 views

When I type in glxinfo -B in penguin terminal on chromebook, it says "Error: unable to open display :0" [closed]

I've tried installing mesa-utils with "sudo apt-get install mesa-utils" but it doesn't work. Infact, nothing I try to install with sudo works I don't know why. When I install anything with ...
2 votes
2 answers
5k views

Problem in sudo apt update with Proton VPN

Am getting this warnings/errors The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 71EB474019940E11 Reading package lists... Done W: GPG error: ...
0 votes
2 answers
628 views

Problem with Protonvpn when updating packages

I get this error when trying to update package with sudo apt-get update Hit:1 http://deb.fdmpkg.org bionic InRelease Hit:2 http://ppa.launchpad.net/inkscape.dev/...
0 votes
0 answers
19 views

User installed applications list [duplicate]

I want the list of user installed applications in linux. It should be a single list of everything user installed. More like the apps listed in "show applications". The solution can be linux ...
-2 votes
0 answers
27 views

ubuntu-desktop not install ubuntu 20.04

enter image description here Black screen after uninstalling python3.Please, help me
0 votes
0 answers
377 views

Error while I try to install xvfb

I am trying to install the xvfb package and I get the following error: sudo apt install xvfb [sudo] password for d1-user: Reading package lists... Done Building dependency tree Reading state ...
9 votes
4 answers
9k views

Not able to install Mongodb in Ubuntu 22.04

I am not able to install MongoDB on Ubuntu 22.04. I am following the official documentation for the installation. This is the output I am getting after following the installation instructions: https:/...
1 vote
1 answer
112 views

impish security release error on Ubuntu 22.04 LTS while running sudo apt update

I am getting the following error message while running sudo apt update on Ubuntu 22.04 LTS Hit:1 http://in.archive.ubuntu.com/ubuntu jammy InRelease Hit:2 http://security.ubuntu.com/ubuntu jammy-...
0 votes
1 answer
86 views

Ubuntu 22.04 only boots up to a terminal, gui not opening

I have very recently updated from 20.04 to 22.04.1 LTS on my HP elitebook 840 G8 through sudo do-release-upgrade. The installation looked correct but when it asked me to reboot I could never access ...
0 votes
1 answer
4k views

/sbin/ldconfig.real: /usr/local/cuda/lib64/libcudnn.so.7 is not a symbolic link

How should I fix this? $ ls -lha /usr/local/cuda/lib64/libcudnn* -rwxr-xr-x 1 root root 275M Jun 21 15:56 /usr/local/cuda/lib64/libcudnn.so -rwxr-xr-x 1 root root 275M Jun 21 15:56 /usr/local/cuda/...
0 votes
1 answer
34 views

My apt-get command is broken [duplicate]

I got a Linux OS today. I was playing around the terminal, downloading some things that I find interesting, but I think I have run a command that messed the apt-get command. Whenever I try to install ...
4 votes
1 answer
20k views

E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: Permission denied)

I am trying to run this command: sudo apt-get update && apt-get upgrade but I keep getting these errors E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: Permission denied) ...
0 votes
0 answers
18 views

No executable found for solver 'ipopt' in Ubuntu

I am trying to solve an optimization problem in pyomo by using ipopt as solver. My OS is ubuntu. However I am getting the following error" pyomo.common.errors.ApplicationError: No executable ...
167 votes
14 answers
262k views

How do you select the fastest mirror from the command line?

I want to update my sources.list file with the fastest server from the command line in a fresh Ubuntu Server install. I know this is trivially easy with the GUI, but there doesn't seem to be a simple ...
0 votes
1 answer
35 views

apt-get update fails in fresh bionic ova image

Whenever i run apt commands , i get the following error. To note this is a VM in a datacenter Err:1 http://archive.ubuntu.com/ubuntu bionic InRelease Connection failed [IP: 91.189.91.39 80] Err:2 ...
0 votes
0 answers
15 views

Gost Apahche2 Processes Can Not Be Removed

I have a 20.04 server installation. Once I installed apache2 http server and switch to nginx.. Before to do that I run the following command to clean uninstall sudo apt-get remove --purge --autoremove ...
11 votes
3 answers
46k views

Removing earlier versions of installed package?

apt-cache show firefox | grep Version and apt-cache show chromium-browser | grep Version in terminal is showing this output: I guess, I've four versions of firefox and two versions of chromium-...
0 votes
0 answers
18 views

APT Ignoring IPv4 Settings

I am on Ubuntu 20.04 server and I when I attempt to update, apt is trying to connect to IPV6, thereby ignoring my /etc/apt/apt.conf.d/99force-ipv4, which are as follows: Acquire::ForceIPv4 “true”;... ...
0 votes
0 answers
30 views

deadsnakes Python3.9-dev install fails on Ubuntu 18.04

I'm attempting to install the python3.9-dev package from the deadsnakes ppa on an Ubuntu 18 system in order to build a python package from source, but there appears to be a conflict between two of the ...
25 votes
5 answers
40k views

MongoDB Install Fails on Ubuntu 22.04 - Depends on libssl1.1 but it is not installable

Here are the standard installation instructions from the website: wget -qO - https://www.mongodb.org/static/pgp/server-5.0.asc | sudo apt-key add - echo "deb [ arch=amd64,arm64 ] https://repo....
0 votes
0 answers
37 views

apt update gets errors with unexpected hash size and mirror sync in progress?

When I run sudo apt update or sudo apt-get update I get this error: Get:1 http://archive.ubuntu.com/ubuntu jammy InRelease [270 kB] Get:2 http://archive.ubuntu.com/ubuntu jammy-updates InRelease [114 ...
1326 votes
25 answers
1.2m views

"The following packages have been kept back:" Why and how do I solve it?

I just added a PPA repository for the development version of the GIMP, but I get this error: $ apt-get update && apt-get upgrade ... The following packages have been kept back: gimp gimp-...
0 votes
0 answers
37 views

Various packages "kept back" for no reason even with dist-upgrade [duplicate]

I just upgraded from Ubuntu 20.04 to 22.04, and I noticed that there were quite a few packages left in a "have been kept back" state when I do apt upgrade and even apt dist-upgrade won't ...
-2 votes
0 answers
29 views

apt upgrade ruined my system and deleted .NET SDK and made my .ssh public key invalid for .git [closed]

I installed .NET SDK using these lines (as in docs): wget https://packages.microsoft.com/config/ubuntu/22.04/packages-microsoft-prod.deb -O packages-microsoft-prod.deb sudo dpkg -i packages-...
0 votes
0 answers
23 views

how to evaluate if an update is necessary?

hello all forum colleagues I have a doubt why there are updates to be made IN THE TERMINAL that are not in the USN? this update is not in the usn last similar was many months ago example recently an ...

1
2 3 4 5
323